Name:		freenet6
Version:	5.1
Release:	2%{?dist}
Summary:	Freenet6 client.

Group:		System Environment/Daemons
License:	BSD
URL:		http://www.go6.net/4105/description.asp?product_id=169&category_id=276
#Source0:	freenet6.tgz
#Source0:	http://go6.net/4105/file.asp?file_id=150
Source0:	gw6c-5_1-RELEASE-src.tar.gz
Source1:	freenet6-init.d
Patch0:		freenet6-5.4b1-Mk-linux.patch
Patch1:		freenet6-5.1-includes.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gcc-c++, kernel-headers, openssl-devel

%description
Freenet6 Tunnel Client

%prep
%setup -q -c -n %{name}
%patch0 -p1
%patch1 -p1 -b .includes

%build
cd tspc-advanced
make all target=linux


%install
rm -rf %{buildroot}
cd tspc-advanced
make install target=linux installdir=%{buildroot} prefix=%{_prefix}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
rm -f %{buildroot}%{_sbindir}/gw6c.conf.sample
mv %{buildroot}%{_sbindir}/gw6c.conf* %{buildroot}%{_sysconfdir}/%{name}
cp -v %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
for i in %{buildroot}%{_sysconfdir}/%{name}/* ; do
sed -e 's:^gw6_dir=.*$:gw6_dir=%{_datadir}/%{name}:g' \
	-e 's:^log_filename=.*$:log_filename=/var/log/gw6c.log:g' -i $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
/sbin/service %{name} stop >/dev/null 2>/dev/null
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root,-)
%{_sbindir}/gw6c
%{_datadir}/%{name}/template/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%config %attr(0600, root, root) %{_sysconfdir}/freenet6/gw6c.conf
%doc tspc-advanced/CLIENT-LICENSE.TXT

%changelog
* Mon Jun 23 2008 J. Randall Owens <jrowens@ghiapet.net> - 5.1-2
- Rebuild for Fedora 9
- Add includes to work with gcc-4.3

* Sat Mar 15 2008 J. Randall Owens <jrowens@ghiapet.homeip.net> - 5.1-1
- Rebuild for Fedora 8, gw6c-5.1

* Thu Nov 8 2007 Ashish Shukla <wahjava@gmail.com> 5.1b4-2
- Added /var/log/gw6c.log in gw6c.conf

* Thu Nov 8 2007 Ashish Shukla <wahjava@gmail.com> 5.1b4-1
- Initial .spec file
- Added an init.d service
